¿Qué va a pasar?

En solo tres pasos tu aplicación empresarial comenzará a ser una realidad

Registro
Escuchamos tus necesidades

Velneo vModApache V7

El trabajo de varios meses verá la luz en el plazo de unas semanas, una nueva forma de resolver los proyectos web se une a la familia de Velneo V7.El nuevo componente de la plataforma Velneo consiste en una extensión ( módulo ) del servidor web más extendido en Internet, Apache HTTP Server. Este componente ofrece funcionalidades nunca vistas anteriormente en configuraciones de proyectos web ya que ofrece una configuración Servidor-Cliente-Servidor que ofrece multiples novedades como cache a nivel de datos y no páginas, procesamiento distribuido de las páginas, etc.La primera versión disponible aparecerá en la próxima versión 7.2. Por ello os hemos preparado un pequeño FAQ con las preguntas más típicas que os irán surgiendo con el nuevo componente.¿Tengo que aprenderme Apache?

feather

Con unos conocimientos básicos del fichero httpd.conf ( fichero de configuración de apache ), que el protocolo HTTP funciona por el puerto 80, y aspectos básicos de que es un servicio, podrás poner a funcionar el módulo de una forma realmente sencilla y no es necesario ser un experto para sacarle el rendimiento adecuado.Por otro lado, si conoces Apache las funcionalidades de las que podrás disfrutar en combinación con el módulo vModApache, son infinitas ( cache, redirecciones, rewrites, logging, redimensionamiento, balanceo de carga entre vServers o Apaches, compresión, SSL, etc).¿No podría hacerse en Velneo vServer V7 como en Velneo 6.x, sería mucho más cómodo?Esta opción no esta descartada, pero inicialmente hemos querido adelantar la funcionalidad más potente y que permite más flexibilidad para el desarrollador e implantador. La sinergia con Apache nos permite trabajar en el área web con las últimas versiones de los protocolos adaptados a HTTP y con una mejora constante. El hecho de separar el servidor HTTP del servidor VATP, nos permite asegurarnos de que un ataque de denegación de servicio nunca afectara al vServer ya que el servidor Apache recibiría todo ese tráfico.Este es un signo más de apertura hacia los estandares que nos ofrece Velneo V7.¿Cuándo me podre descargar el componente?A lo largo del mes de octubre de 2009 esta preparada la salida de la versión 7.2, dentro de los componentes de esta versión aparece el instalable del módulo en fase beta, en la que podéis empezar a probar vuestros proyectos orientados a web.¿Para qué sistemas operativos estará disponible inicialmente?Inicialmente en octubre de 2009 aparecerá el módulo compilado para las plataformas Windows. Aunque internamente trabajamos con Linux y Windows hemos querido potenciar la versión para los sistemas Windows ya que son los sistemas operativos más usados por los desarrolladores de Velneo.¿Cuántos enganches en Velneo vServer V7 consumirá el módulo de Apache?El servidor Apache trabaja junto al módulo en multitarea y multivServer, con lo que depende de tu instalación cuantos enganches consume en los distintos vServer a los que tengas conectado el módulo.Dentro de los parámetros de configuración del módulo se definen el máximo número de enganches que quieres que use la web, en el caso que solo quieras usar un enganche, el módulo solo podrá encolar la ejecución de los procesos web uno tras otro.Si deseas más multitarea, podrás activar más enganches, los cuales serán usados por el módulo para crear y procesar las páginas mucho más rápido.¿Qué relación tiene con Velneo vWebClient V7?vWebClient es un plugin para navegadores web (incrusta el vClient en el navegador web). vWebClient te permite poner tu aplicación tal y como funciona en el vClient a la disposición de los usuarios de una web, sin tocar ningún objeto. Las páginas servidas mediante el módulo son elaboradas y gestionadas mediante los procesos incluidos en tus proyectos.¿Para quien estará disponible?El módulo esta disponible para los desarrolladores incluidos en los niveles 3 y 4 de la comunidad Velneo y estará accesible en el área de descargas al igual que el resto de componentes.¿Con qué versiones de Apache es compatible?Con la serie Apache 2.2.x,Si tu Apache es de la versión 1.6.x o 2.0.x el Apache no será capaz de cargar el módulo correctamente.

David
9/11/2009